# 🖍️ Scribble Diffusion

Try it out at [scribblediffusion.com](https://scribblediffusion.com)


这是一个nodejs前端项目，无需登录，用户简单画画，上传图片即可生成真实的图片。

基于 ControlNet 模型，托管在 Replicate，可以提供接口调用，用户上传图片到 upload网站生成一张图片链接，再调用接口对这个链接+提取词进行图片生成返回前端。api服务器由Vercel托管，可以发现，无需登录，无后端管理系统。用户上传的图片也不经过api服务器。api服务器（本项目）只是做一个web界面可视化。

本项目是 Replicate 发布，

## How it works

This app is powered by:

🚀 [Replicate](https://replicate.com/?utm_source=project&utm_campaign=scribblediffusion), a platform for running machine learning models in the cloud.

🖍️ [ControlNet](https://replicate.com/rossjillian/controlnet?utm_source=project&utm_campaign=scribblediffusion), an open-source machine learning model that generates images from text and scribbles.

▲ [Vercel](https://vercel.com/), a platform for running web apps.

⚡️ Next.js [server-side API routes](pages/api), for talking to the Replicate API.

👀 Next.js React components, for the browser UI.

🍃 [Tailwind CSS](https://tailwindcss.com/), for styles.

## Development

1. Install a recent version of [Node.js](https://nodejs.org/)
1. Copy your [Replicate API token](https://replicate.com/account?utm_source=project&utm_campaign=scribblediffusion) and set it in your environment:
   ```
   echo "REPLICATE_API_TOKEN=<your-token-here>" > .env.local
   ```
1. Install dependencies and run the server:
   ```
   npm install
   npm run dev
   ```
1. Open [localhost:3000](http://localhost:3000) in your browser. That's it!

